Bug 831241 - GNOME Shell crashes when there is no space for recording
GNOME Shell crashes when there is no space for recording
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: beta
: 7.0
Assigned To: Florian Müllner
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 10:37 EDT by Vladimir Benes
Modified: 2014-06-13 08:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:22:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-06-12 10:37:42 EDT
Description of problem:
when I tried to mount small partition into Video and let recording fill it gnome shell crashed. There should be some no space notification and proper recording exit.

Version-Release number of selected component (if applicable):
gnome-shell-3.4.1-5.el7

How reproducible:
100%

Steps to Reproduce:
1.create small partition and mount it into Videos directory
2.start recording
3.let it fill all free space
  
Actual results:
crash of gnome shell

Expected results:
no crash and announced correct exit of recording

Additional info:
Comment 2 Florian Müllner 2012-07-18 17:48:47 EDT
The crash has been fixed upstream[0] - do we need a backport?

[0] http://git.gnome.org/browse/gnome-shell/commit/?id=f17fc43d6e6ca837dee580b5a468cf889648c6f1
Comment 3 Matthias Clasen 2012-10-22 22:16:31 EDT
This commit is in gnome-shell 3.6, which is in rhel7 now
Comment 4 Vladimir Benes 2013-01-16 10:33:06 EST
no crashes any more
-> VERIFIED
Comment 5 Ludek Smid 2014-06-13 08:22:20 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.